<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
*     Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Standard EJB Module Project Properties Dialog Box: Libraries</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Standard EJB Module Project Properties Dialog Box: Libraries</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
<p>You open this dialog box by right-clicking any <object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content" value="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/csh/glossary_standard.html">
    <param name="viewerActivator" value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,220">
    <param name="text" value="standard EJB module project">
    <param name="textFontSize" value="medium">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontStyle" value="italic">
    <param name="textFontWeight" value="bold">
    <param name="textColor" value="blue">
  </object>&nbsp;and choosing Properties. The Libraries page lets you set up the 
  libraries that the project contains on its classpath.</p>
  <p><b>Java Platform.</b> You can use the Java Platform drop-down list to set the specific JDK installation 
  that the IDE uses to compile and run your project. The IDE adds the selected 
  platform's libraries to the classpath and uses the platform's executables (such 
  as <tt>javac</tt> and <tt>java</tt>) to run and build the project. The default 
  platform for all projects is the platform on which the IDE is running. You can 
  register additional platforms and attach Javadoc and source files to a platform 
  by clicking Manage Platforms.</p>

<p><b>Libraries Folder. </b>To make it easier to 
<a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_sharing.html">share libraries</a> among different 
users and projects, you can set a folder to hold those libraries (or references to 
those libraries). You can create a new folder or specify an existing folder that 
already contains copies of the libraries on which your project depends. 
</p>
<p>To specify the folder, click Browse. If there is already a libraries folder, a 
file chooser opens. If there is not a libraries folder, the New Libraries wizard opens. 
In the New Libraries wizard, you set a libraries folder and then specify how to reference 
each library. The simplest case is to have the libraries copied to that folder. 
You can also refer to the libraries in their existing location 
(with a relative path or an absolute path). If you have specified an existing folder, 
you also have the option of using copies of libraries that are already in that folder 
instead of the copies that are contained in the IDE's Ant Library Manager.</p>

<p>Each standard EJB module project maintains a separate classpath for compilation, 
  compiling tests, and running tests. Use the buttons on the right of the dialog 
  box to add, remove, and change the order of classpath elements. You can add 
any of the following: </p>
<ul>
  <li><b>JAR file or folder.</b> A JAR file or folder containing compiled class 
    files and other resources.</li>
  <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">Library</a>. 
    </b>A collection of JAR files, source code, and Javadoc that has been registered 
    in the Ant Library Manager.</li>
    <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_dependencies.html">Project</a>.</b> The build output, source 
    files, and Javadoc files of another IDE project.</li>
</ul>
<p><b>Notes:</b></p>
<ul>
  <li><!--By default, all libraries on the compilation classpath are packaged with
    the EJB JAR file for deployment. 
    By default, all items that are on the classpath are packaged in the WAR file. -->
    By default, if the EJB module is deployed as a stand-alone module,
    the IDE does not include the library JAR files in the EJB module JAR file.
    If the EJB module is deployed as part of an enterprise application, the IDE includes
    the JAR files that are on the classpath of the EJB module in the application EAR file.
    Deselect the Package checkbox for each classpath item that you want to exclude from the EAR file.
  </li>
  <li>If a JAR file is registered in the Ant Library Manager and has attached source 
    code and Javadoc documentation, you can just add the JAR file to the classpath 
    and the IDE finds the Javadoc documentation and source code automatically. 
    You should use the Add Library button if you want to add a library that contains 
    several JAR files. Adding a library that is managed in the Ant Library Manager 
    also makes it easier for other developers with which you share the project 
    to fix broken references to Javadoc documentation and source code.</li>
  <li>Adding a <object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
      <param name="content" value="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/csh/glossary_freeform.html">
      <param name="viewerActivator" value="javax.help.LinkLabel">
      <param name="viewerStyle" value="javax.help.Popup">
      <param name="viewerSize" value="400,160">
      <param name="text" value="free-form project">
      <param name="textFontSize" value="medium">
      <param name="textFontFamily" value="SansSerif">
      <param name="textFontStyle" value="italic">
      <param name="textFontWeight" value="bold">
      <param name="textColor" value="blue">
    </object> to the classpath of a standard project does nothing unless you have 
    declared the free-form project's build outputs in the Output page of its Project 
    Properties dialog box.</li>
</ul>
<dl>
    <dt><a name="seealso">See Also</a></dt>
     <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_stand_about.html">About Standard Projects</a></dd>
      <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_free_about.html">About Free-Form Projects</a> </dd>
      <dd><a href="../deploy/build_ejb.html">Building an EJB Module</a> </dd>
      <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/javadoc/javadoc_add.html">Adding Javadoc to a Project</a></dd>
      <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/debug/debug_source.html">Attaching Source Code to a JAR File</a></dd>
      <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_sharing.html">Sharing Libraries in a Java Project</a></dd>
      <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_classpath.html">Managing the Classpath</a></dd>
      <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_dependencies.html">Creating Dependencies Between Projects</a></dd>
      <dd>Standard EJB Module Project Properties Dialog Box:</dd>
      <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="stand-ejb-properties-sources.html">Sources</a></dd>
      <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="stand-ejb-properties-compile.html">Compiling</a></dd>
      <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="stand-ejb-properties-packaging.html">Packaging</a></dd>
      <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="stand-ejb-properties-javadoc.html">Documenting</a></dd>
      <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="stand-ejb-properties-run.html">Run</a></dd>
      <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="stand-ejb-properties-webservices.html">Web Services</a></dd>
</dl>

<hr><small><a href="../../credits.html">Legal Notices</a></small>

<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
